## golang-github-nats-io-jwt 0.0~git20181120.285cf2c

=== Makefile ===
.PHONY: test cover

build:
	go build

test:
	gofmt -s -w *.go
	goimports -w *.go
	go vet ./...
	go test -v
	go test -v --race

fmt:
	gofmt -w -s *.go

cover:
	 go test -v -covermode=count -coverprofile=coverage.out
	 go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-nats-io-jwt (0.0~git20181120.285cf2c-4) unstable; urgency=medium

  * d/copyright: more details on comments.

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 11:09:04 -0500

golang-github-nats-io-jwt (0.0~git20181120.285cf2c-3) unstable; urgency=medium

  * d/copyright: comments.

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 15:49:20 -0500

golang-github-nats-io-jwt (0.0~git20181120.285cf2c-2) unstable; urgency=medium

  * d/watch: use git mode.

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 15:47:01 -0500

golang-github-nats-io-jwt (0.0~git20181120.285cf2c-1) unstable; urgency=medium

  * Initial release (Closes: #914239)

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 15:45:27 -0500

=== debian/control ===
Source: golang-github-nats-io-jwt
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-nats-io-nkeys-dev,
               golang-github-pkg-errors-dev
Standards-Version: 4.2.1
Homepage: https://github.com/nats-io/jwt
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt.git
XS-Go-Import-Path: github.com/nats-io/jwt
Testsuite: autopkgtest-pkg-go

Package: golang-github-nats-io-jwt-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-nats-io-nkeys-dev,
         golang-github-pkg-errors-dev
Description: JWT tokens signed using NKeys for the NATS ecosystem
 JWT implementation that uses nkeys to digitally sign JWT tokens.

## golang-github-nats-io-jwt 2.2.0

=== debian/changelog ===
golang-github-nats-io-jwt (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * New upstream version 2.2.0.
  * Fix debian/watch for tagged releases.

 -- Dominik George <natureshadow@debian.org>  Tue, 29 Mar 2022 23:24:00 +0200

golang-github-nats-io-jwt (0.0~git20181120.285cf2c-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:08:30 +0100

## golang-github-nats-io-jwt 2.2.1~git20220330.442af02

=== debian/changelog ===
golang-github-nats-io-jwt (2.2.1~git20220330.442af02-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-nats-io-jwt-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Oct 2022 01:29:48 +0000

golang-github-nats-io-jwt (2.2.1~git20220330.442af02-1) unstable; urgency=medium

  * Team upload.
  * New upstrwam version.

 -- Dominik George <natureshadow@debian.org>  Wed, 30 Mar 2022 22:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -20,5 +20,6 @@
 Depends: ${misc:Depends},
          golang-github-nats-io-nkeys-dev,
          golang-github-pkg-errors-dev
+Multi-Arch: foreign
 Description: JWT tokens signed using NKeys for the NATS ecosystem
  JWT implementation that uses nkeys to digitally sign JWT tokens.

## golang-github-nats-io-jwt 2.3.0

=== Makefile ===
.PHONY: test cover

build:
	go build

test:
	./scripts/test.sh

fmt:
	gofmt -w -s *.go
	go mod tidy
	cd v2/
	gofmt -w -s *.go
	go mod tidy

cover:
	 go test -v -covermode=count -coverprofile=coverage.out
	 go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-nats-io-jwt (2.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Switch to using debhelper-compat
    - Update Section to golang
    - Update Builds-Depends and Depends
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
  * d/copyright:
    - Update upstream author copyright information from comments now
      included in source code
    - Remove unneeded Files-Excluded
  * Set default-branch to debian/sid in d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 26 Nov 2022 01:42:31 +0000

=== debian/control ===
Source: golang-github-nats-io-jwt
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-nats-io-nkeys-dev
Standards-Version: 4.6.1
Homepage: https://github.com/nats-io/jwt
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt.git
XS-Go-Import-Path: github.com/nats-io/jwt
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-nats-io-jwt-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-nats-io-nkeys-dev
Multi-Arch: foreign
Description: JWT tokens signed using NKeys for the NATS ecosystem
 JWT implementation that uses nkeys to digitally sign JWT tokens.

## golang-github-nats-io-jwt 2.4.1

=== debian/changelog ===
golang-github-nats-io-jwt (2.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.2 in d/control (no changes needed)
  * Update years in d/copyright
  * Add d/gitlab-ci.yml

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Jun 2023 14:09:46 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-any,
                golang-github-nats-io-nkeys-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nats-io/jwt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt.git

## golang-github-nats-io-jwt 2.5.2

=== debian/changelog ===
golang-github-nats-io-jwt (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Add tzdata to Build-Depends. Closes: #1029462.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 23:45:00 +0100

golang-github-nats-io-jwt (2.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 23 Sep 2023 16:11:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-nats-io-nkeys-dev
+               golang-github-nats-io-nkeys-dev,
+               tzdata
 Standards-Version: 4.6.2
 Homepage: https://github.com/nats-io/jwt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt

## golang-github-nats-io-jwt 2.7.3

=== debian/changelog ===
golang-github-nats-io-jwt (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Add myself as an Uploader (Closes: #940400)
    - Update Standards-Version to 4.7.0 (no changes needed)
  * Add myself to d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 24 Dec 2024 17:07:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-nats-io-nkeys-dev,
                tzdata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/nats-io/jwt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt.git

## golang-github-nats-io-jwt 2.8.0

=== v2/v1compat/Makefile ===
.PHONY: test cover

build:
	go build

test:
	../../../scripts/test.sh

fmt:
	gofmt -w -s *.go
	go mod tidy
	cd v2/
	gofmt -w -s *.go
	go mod tidy

cover:
	 go test -v -covermode=count -coverprofile=coverage.out
	 go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-nats-io-jwt (2.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Sep 2025 14:48:28 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,11 @@
                golang-any,
                golang-github-nats-io-nkeys-dev,
                tzdata
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nats-io/jwt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nats-io-jwt.git
 XS-Go-Import-Path: github.com/nats-io/jwt
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-nats-io-jwt-dev

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nats-io/jwt/tags .*/v?(\d\S*)\.tar\.gz debian
